.items {
  margin-top: var(--spacing-big);
  margin-bottom: var(--spacing-big);
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: auto;
  width: 70vw;
  gap: var(--spacing-small) var(--spacing-small);

  @media screen and (min-width: 700px) {
    grid-template-columns: 1fr 1fr 1fr;
    gap: var(--spacing) var(--spacing);
  }

  @media screen and (min-width: 900px) {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }

  @media screen and (min-width: 1367px) {
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    gap: var(--spacing-medium) var(--spacing-medium);
  }
}

.item {
  border-radius: 16px;
  overflow: hidden;
  border: 1px solid var(--item-actions);
  background: var(--item-actions);
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  .actions {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: var(--item-actions);
    padding: var(--spacing-small);
    width: 100%;
    box-sizing: border-box;

    svg {
      width: 24px;
      height: 24px;
    }

    .want-to-sell-btn {
      display: flex;
      justify-content: center;
      align-items: center;
      user-select: none;
      -webkit-tap-highlight-color: transparent;
      position: relative;
      text-align: center;
      border: none;
      padding: 0;
      background: transparent;

      &:focus {
        outline: none;
      }

      &:active {
        border: none;
      }

      svg {
        width: 53px;
        height: 22px;
      }
    }

    .dream-dress-btn {
      display: flex;
      justify-content: center;
      align-items: center;
      user-select: none;
      -webkit-tap-highlight-color: transparent;
      position: relative;
      text-align: center;
      border: none;
      padding: 0;
      background: transparent;

      &:focus {
        outline: none;
      }

      &:active {
        border: none;
      }

      svg {
        width: 53px;
        height: 22px;
      }
    }

    .remove-from-closet {
      width: 24px !important;
      height: 24px !important;
    }
    .remove-from-wishlist {
      width: 24px !important;
      height: 24px !important;
    }
  }

  .img-container {
    height: 180px;
    width: 100%;
    position: relative;
    overflow: hidden;

    &::before {
      content: "";
      position: absolute;
      top: 50%;
      left: 50%;
      background: url("/assets/images/logo.svg") no-repeat;
      background-position: center center;
      background-size: contain;
      width: 70%;
      height: 70%;
      transform: translate(-50%, -50%);
      filter: grayscale(100%) blur(2px);
    }

    > img {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }
  }

  img {
    width: 100%;
    height: auto;
    display: block;

    &.load-behavior {
      opacity: 0;
      transition: opacity 200ms linear;

      &.loaded {
        opacity: 1;
      }
    }
  }
}

.image-grid {
  margin-top: var(--spacing-big);
  margin-bottom: var(--spacing-big);
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: auto;
  max-width: 70vw;
  gap: var(--spacing-small) var(--spacing-small);
  user-select: none;

  li {
    img {
      width: 100%;
      height: auto;

      &.active {
        position: fixed;
        z-index: 1004;
        width: var(--image-grid-width);
        top: var(--image-grid-top, 0);
        left: var(--image-grid-left, 0);
        transform: translate(var(--image-grid-translate, 0%), var(--image-grid-translate, 0%));
        transition: all var(--image-grid-timing, 0ms);
      }
    }
  }

  @media screen and (min-width: 700px) {
    grid-template-columns: 1fr 1fr 1fr;
    gap: var(--spacing) var(--spacing);
  }

  @media screen and (min-width: 900px) {
    grid-template-columns: 1fr 1fr 1fr 1fr;
    max-width: 45vw;
  }

  @media screen and (min-width: 1367px) {
    gap: var(--spacing-medium) var(--spacing-medium);
  }
}

form.edit-form {
  input.has-preview {
    border-bottom-left-radius: 0px !important;
    border-bottom-right-radius: 0px !important;
  }
  .preview-wrapper {
    position: relative;

    button {
      position: absolute;
      top: 4px;
      right: 4px;
    }
  }

  .photo-preview {
    max-width: 100%;
    display: block;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
  }
}
